package org.benoitharrault.ameixanonfree.activities;

import android.os.Build;
import android.os.Bundle;
import android.view.WindowManager;

import org.benoitharrault.ameixanonfree.R;

import androidx.appcompat.app.AppCompatActivity;

public abstract class BaseActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP) {
            getWindow().addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS);
            getWindow().setStatusBarColor(getResources().getColor(R.color.colorDark));
            getWindow().setNavigationBarColor(getResources().getColor(R.color.colorDark));
        }
        super.onCreate(savedInstanceState);
    }
}
